#!/usr/bin/gnuplot

# rok5.plt
# Miroslav Broz (miroslav.broz@email.cz), Apr 24th 2007

# interpolate the data to a regular grid first:

set term table
set out "rok5.dat_dgrid3d"

set xr [3.28e6:3.79e6]
set yr [5.37e6:5.67e6]

#N=500
N=100
set dgrid3d N,N,4
sp "rok5.dat" u 1:2:5 w d

unset dgrid3d

########################################################################

set term x11
set out

set xl "Gauss X"
set yl "Gauss Y"
set zl "N7"

set palette
#set cbrange [3000:4500]
set ticslevel 0
set size ratio -1

sp "rok5.dat" u 1:2:5 w p lt 1 ps 3,\
   "rok5.dat_dgrid3d" u 1:2:3 w l lt 2
pa -1

set pm3d map
sp "rok5.dat_dgrid3d" u 1:2:3,\
   "rok5.dat" u 1:2:(4000) w p,\
   "hranice_CR/20.out_gauss" u 1:2:(4000) w l
pa -1

set term png small
set out "rok5.png"
rep



